Skip to content

updateRate

Request

Path
idinteger, (int32)required
Bodyapplication/jsonrequired
codestring, [ 0 .. 30 ] charactersrequired
seasoninteger, (int32)
currencyinteger, (int32)required
calculationMethodstring(ApiCalculationMethodEnum)
Default:null
Enum:"BOM_COST""PURCHASE_PRICE""MOTHER_RATE"
motherRateinteger, (int32)
percentageIncreasenumber
amountToAddnumber
roundingTypestring(ApiRoundingTypeEnum)
Default:null
Enum:"TERMINATION""MULTIPLE"
roundingRatenumber
proximityTypestring(ApiProximityTypeEnum)
Default:null
Enum:"NEARBY""PREVIOUS""LATER"
activeboolean
finalPriceCalculationsboolean
taxesIncludedboolean
PUT
/api/v1/rate/{id}
curl -i -X PUT \
  'https://api.prana.software/api/v1/rate/{id}' \
  -H 'Content-Type: application/json'

Responses

OK

Bodyapplication/json
idinteger, (int32)required

Unique identifier of the object

Default:""
codestring, non-emptyrequired
seasonobject(ApiSeasonListReadDto)

Season list entry

Default:null
currencyobject(ApiCurrencyListReadDto)

Currency list entry with exchange rate

Default:null
calculationMethodstring(ApiCalculationMethodEnum)
Default:null
Enum:"BOM_COST""PURCHASE_PRICE""MOTHER_RATE"
motherRateobject(ApiRateListReadDto)

Rate list entry

Default:null
percentageIncreasenumber
amountToAddnumber
roundingTypestring(ApiRoundingTypeEnum)
Default:null
Enum:"TERMINATION""MULTIPLE"
roundingRatenumber
proximityTypestring(ApiProximityTypeEnum)
Default:null
Enum:"NEARBY""PREVIOUS""LATER"
activeboolean
rateCodeobject(ApiRateCodeListReadDto)

Rate code list entry

Default:null
finalPriceCalculationsboolean
taxesIncludedboolean
Response
// No response example